local L = LibStub("AceLocale-3.0"):NewLocale("TitanPals","enUS",true);

-- Core
L["TITAN_PALS_CORE"] = {
     id = "Pals";
     version = GetAddOnMetadata("TitanPals","Version"),
     debug = "<TitanPals Debug>",
     info = "<TitanPals Info>",
     addver = "r5",
};
-- Tooltip
L["TITAN_PALS_TOOTTIP"] = {
     tooltip = "Online Pals Info",
     off = "Offline Pals Info",
     ignored = "Currently Ignored Info",
     mem = "Memory Usage",
     online = "Online",
     offline = "Offline",
     ignored = "Currently Ignored",
};

-- Menu
L["TITAN_PALS_MENU"] = {
     text = "Titan Pals",
     settings = "Settings",
     noalts = "Remove Alts from ToolTip",
     showignored = "Show Currently Ignored",
     showoffline = "Show Offline Pals",
     showclass = "Show Pals Class",
     shownote = "Show Pals Note",
     syncalts = "Sync Alts to Friends List",
     syncaltsfriends = "Sync Alts Friends to Friends List",
     sync = "Syncing",
     whisper = "Whisper",
     invite = "Invite",
     remove = "Remove",
     note = "Note",
     mem = "Show Memory Usage in Tooptip",
};
-- Debuging
L["TITAN_PALS_DEBUG"] = {
     dev = "Debug Mode",
     devevent = "Event Debug Mode",
     devlogevent = "Log Event Debug Mode",
     debug = "Debug Menu",
     debug1 = "Debug Setting",
};
-- Authors
L["TITAN_PALS_AUTHOR"] = {
     a = "Nagdand@Laughing Skull",
     b = "Nagdand@Korialstrasz",
     c = "Dorid@Sentinels",
     d = "Corelg@Laughinf Skull",
};
-- Colors
L["TITAN_PALS_COLORS"] = {
     gray = "|cff808080",
     orange = "|cffff9900",
     close = "|r",
};
-- Button
L["TITAN_PALS_BUTTON"] = {
     label = "Pals: ",
     text = "%s/%s/%s",
     artwork = "Interface\\AddOns\\TitanPals\\Artwork\\",
};
-- Notes
L["TITAN_PALS_NOTES"] = {
     --Warrior
     wprot = "Protection",
     warms = "Arms",
     wfury = "Fury",
     --Mage
     mfire = "Fire",
     mfros = "Frost",
     marca = "Arcane",
     --Paladin
     pprot = "Protection",
     pholy = "Holy",
     pretr = "Retribution",
     --Hunter
     hmark = "Marksmanship",
     hbeas = "Beast Mastery",
     hsurv = "Survival",
     --Rogue
     rassa = "Assassination",
     rcomb = "Combat",
     rsubt = "Subtlety",
     --Priest
     prsha = "Shadow",
     prhol = "Holy",
     prdis = "Discipline",
     --Warlock
     laffl = "Affliction",
     ldemo = "Demonology",
     ldest = "Destruction",
     --Death Knight
     dkblo = "Blood",
     dkfro = "Frost",
     dkunh = "Unholy",
     --Druid
     dbala = "Balance",
     dfera = "Feral Combat",
     drest = "Restoration",
     --Shaman
     selem = "Elemental",
     senha = "Enhancement",
     srest = "Restoration",
};

L["TITAN_PALS_CLASSES"] = {
     warrior = "Warrior",
     mage = "Mage",
     paladin = "Paladin",
     hunter = "Hunter",
     rogue = "Rogue",
     priest = "Priest",
     warlock = "Warlock",
     deathknight = "Death Knight",
     druid = "Druid",
     shaman = "Shaman",
};